﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows;
using Telerik.Windows.Controls.GanttView;

namespace GanttTaskSize_Ticket747129
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button_Click(object sender, RoutedEventArgs e)
        {
            var viewModel = this.Resources["ViewModel"] as GanttViewModel;

            ObservableCollection<GanttTask> tasks = viewModel.Tasks;
            if (tasks.Any() && tasks.First().Children.Any())
            {
                tasks.First().Children.RemoveAt(0);
            }
            
        }
    }
}
